API references
Merchant API

List API request logs

Returns a paginated list of HTTP requests recorded for this live merchant. Each row includes the endpoint, HTTP status, client IP address, request source, dashboard user email when applicable, and client or browser identification.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/list-api-request-logs HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
per_page: number?,
after: string?,
before: string?,
status: number?,
source: string?,
endpoint: string?,
user_email: string?,
ip_address: string?,
created_at: string?,
terms: string?,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started. Note that this endpoint returns a paginated response, see the Pagination section of the same guide.
Request arguments
per_page number

Optional. Number of request log entries to return per page (default: 25).

after string

Optional. Cursor for pagination - return entries created before this request log UID.

before string

Optional. Cursor for pagination - return entries created after this request log UID.

status number

Optional. Filter by HTTP status class. 200 matches 200–299, 400 matches 400–499, 500 matches 500–599.

Allowed values:
  • 200
  • 400
  • 500
source string

Optional. Filter by request source.

Allowed values:
  • API
  • DASHBOARD
endpoint string

Optional. Filter by API endpoint identifier.

user_email string

Optional. Filter by dashboard user email.

ip_address string

Optional. Filter by client IP address.

created_at string

Optional. Filter by creation date/time. Supports: YYYY-MM-DD, ISO8601 datetimes, ranges (YYYY-MM-DD..YYYY-MM-DD), or keywords (today, yesterday, this_week, last_week, this_month, last_month).

terms string

Optional. Free-text search (substring, case-insensitive) across source, endpoint, user email, client version, user agent, ip address, and HTTP status code (e.g. 404, 201).

Response attributes
Attribute Description
previous
object

Nullable. Cursor for the previous page. Contains 'before' (ID) and 'per_page' (page size) parameters. Use these values in the 'before' and 'per_page' parameters of the next request to get the previous page.

page
array<object.api_request_log>

Always present. The current page of records, ordered by creation date (newest first).

next
object

Nullable. Cursor for the next page. Contains 'after' (ID) and 'per_page' (page size) parameters. Use these values in the 'after' and 'per_page' parameters of the next request to get the next page.

API request log attributes
Attribute Description
created_at
number

Always present. Unix timestamp when the API request was recorded.

status
number

Always present. HTTP status code returned for the request.

endpoint
string

Always present. API endpoint identifier for the request.

ip_address
string

Nullable. Client IP address for the request.

source
string

Always present. Whether the request came from an API key or the merchant dashboard.

Possible values:
  • API
  • DASHBOARD
user_email
string

Nullable. Email of the dashboard user who made the request. Only set when source is dashboard.

user_agent
string

Nullable. Human-readable browser and operating system parsed from the user agent sent with the request.

Errors specific to this endpoint
FORBIDDEN

API request logs are only available for live merchants.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.